{
	"author": "Incubateur ANCT",
	"name": "deveco-api",
	"version": "1.0.0",
	"description": "deveco API",
	"main": "index.js",
	"scripts": {
		"start": "IS_BUILT=true node dist/index.js",
		"start:dev": "concurrently -n \"pgsql,api\" -c \"green,cyan\" -p time \"yarn db:start\" \"yarn dev\"",
		"build": "tsc && cp -R ./src/sql ./dist/",
		"dev": "export NODE_ENV=test && nodemon -w . src/indexTest.ts",
		"db:start": "docker compose up",
		"typeorm": "node --require ts-node/register ./node_modules/typeorm/cli.js",
		"db:dump": "cd data; bash dump.sh",
		"db:generate": "node --require ts-node/register ./node_modules/.bin/typeorm migration:generate -d ./src/data-source.ts",
		"db:migrate": "yarn typeorm migration:run -d ./src/data-source.ts",
		"db:revert": "yarn typeorm migration:revert -d ./src/data-source.ts",
		"db:seed": "cd data; bash seed-data.sh",
		"db:stop": "docker compose down",
		"postdb:migrate": "yarn db:dump",
		"format": "prettier --ignore-path .prettierignore --write \"**/*.+(js|ts|json)\"",
		"prestart": "yarn build",
		"lint": "yarn lint:fix && yarn lint:typecheck",
		"lint:fix": "yarn lint:style --fix",
		"lint:style": "eslint --ignore-path .eslintignore --ext .js,.ts .",
		"lint:typecheck": "tsc --noEmit"
	},
	"repository": {
		"type": "git",
		"url": "git+ssh://git@gitlab.com/incubateur-territoires/startups/deveco/deveco-api.git"
	},
	"keywords": [
		"deveco",
		"api"
	],
	"license": "ISC",
	"bugs": {
		"url": "https://gitlab.com/incubateur-territoires/startups/deveco/deveco-api/issues"
	},
	"homepage": "https://gitlab.com/incubateur-territoires/startups/deveco/deveco-api#readme",
	"dependencies": {
		"@types/koa-conditional-get": "^2.0.0",
		"@types/koa-etag": "^3.0.0",
		"bcrypt": "^5.0.1",
		"cross-fetch": "^3.1.5",
		"csv-writer": "^1.6.0",
		"dotenv": "^16.0.0",
		"exceljs": "^4.3.0",
		"geojson": "^0.5.0",
		"http-status-codes": "^2.2.0",
		"jsonwebtoken": "^8.5.1",
		"koa": "^2.13.4",
		"koa-bodyparser": "^4.3.0",
		"koa-conditional-get": "^3.0.0",
		"koa-cookie": "^1.0.0",
		"koa-etag": "^4.0.0",
		"koa-json": "^2.0.2",
		"koa-router": "^10.1.1",
		"node-cron": "^3.0.2",
		"node-sql-reader": "^0.1.3",
		"nodemailer": "^6.7.8",
		"pg": "^8.7.3",
		"pg-query-stream": "^4.2.4",
		"prom-client": "^14.1.1",
		"reflect-metadata": "^0.1.13",
		"spacetime": "^7.1.4",
		"typeorm": "^0.3.10",
		"uuidv4": "^6.2.12"
	},
	"devDependencies": {
		"@tsconfig/node16": "^1.0.2",
		"@types/bcrypt": "^5.0.0",
		"@types/jsonwebtoken": "^8.5.8",
		"@types/koa": "^2.13.4",
		"@types/koa-bodyparser": "^4.3.5",
		"@types/koa-cookie": "^1.0.0",
		"@types/koa-json": "^2.0.20",
		"@types/koa-logger": "^3.1.2",
		"@types/koa-router": "^7.4.4",
		"@types/node": "^17.0.21",
		"@types/node-cron": "^3.0.2",
		"@types/nodemailer": "^6.4.5",
		"@typescript-eslint/eslint-plugin": "^5.14.0",
		"@typescript-eslint/parser": "^5.14.0",
		"concurrently": "^7.0.0",
		"eslint": "^7.32.0",
		"eslint-config-prettier": "^8.5.0",
		"eslint-plugin-import": "^2.25.4",
		"nodemon": "^2.0.15",
		"prettier": "^2.5.1",
		"ts-node": "^10.6.0",
		"typescript": "^4.6.2"
	},
	"engines": {
		"node": ">=16",
		"yarn": ">=1.22.19"
	}
}
